package cn.iocoder.yudao.module.jx.service;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.jx.domain.DriveSchoolInfo;
import cn.iocoder.yudao.module.jx.payment.vo.PayVo;
import cn.iocoder.yudao.module.jx.vo.DriveSchoolInfoVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 驾校信息Service接口
 *
 * @author ruoyi
 * @date 2024-03-19
 */
public interface IDriveSchoolInfoService
{
    /**
     * 查询驾校信息
     *
     * @param id 驾校信息主键
     * @return 驾校信息
     */
    public DriveSchoolInfo selectDriveSchoolInfoById(Long id);

    /**
     * 查询驾校信息列表
     *
     * @param driveSchoolInfo 驾校信息
     * @return 驾校信息集合
     */
    public IPage<DriveSchoolInfo> selectDriveSchoolInfoList(DriveSchoolInfo driveSchoolInfo, Page<DriveSchoolInfo> page);
    public IPage<DriveSchoolInfo> selectDriveSchoolInfoAppletList(DriveSchoolInfo driveSchoolInfo,Page<DriveSchoolInfo> page);

    /**
     * 新增驾校信息
     *
     * @param driveSchoolInfo 驾校信息
     * @return 结果
     */
    public CommonResult insertDriveSchoolInfo(DriveSchoolInfo driveSchoolInfo);

    /**
     * 修改驾校信息
     *
     * @param driveSchoolInfo 驾校信息
     * @return 结果
     */
    public int updateDriveSchoolInfo(DriveSchoolInfo driveSchoolInfo);

    /**
     * 批量删除驾校信息
     *
     * @param ids 需要删除的驾校信息主键集合
     * @return 结果
     */
    public int deleteDriveSchoolInfoByIds(Long[] ids);

    /**
     * 删除驾校信息信息
     *
     * @param id 驾校信息主键
     * @return 结果
     */
    public int deleteDriveSchoolInfoById(Long id);

    DriveSchoolInfoVO getSchoolInfoByDeptId(Long deptId);

    List<PayVo> findSelfSchoolData();

    /*String selectDriveSchoolInfoAppletById(Long id);*/
}
